#include <dos.h>

#include "base3d.h"
#include "debug.h"

#include "coord.h"
#include "world.h"

// World Clipping

// word clip_top    = 1;
// word clip_bot    = 198;
// word clip_left   = 1;
// word clip_right  = 318;

// To add a day

void print_array (void);
void reset_edge (void);

void fill_flat (face_c& face);
void fill_gouraud (face_c& face);
void fill_phong (face_c& face);

void draw_shape_flat (void);
void draw_shape_gouraud (void);
void draw_shape_phong (face_c& face,light_c& light);

void set_shape_flat (face_c& face,light_c& light);
void set_shape_gouraud (face_c& face,light_c& light);
void set_shape_phong (face_c& face, light_c& light);

void set_edge_flat (coord_c& point1, coord_c& point2);
void set_edge_gouraud (coord_c& point1, coord_c& point2, rgb_c& c1, rgb_c& c2);
void set_edge_phong (coord_c& point1, coord_c& point2);