#ifndef VIDEO_H
#define VIDEO_H

#include "base.h"

#define SCREEN_X  320
#define SCREEN_Y  200

void plot(float x,float y,float r,float g,float b);
void plot256(float x, float y, byte color);
void set_color(byte index, byte r, byte g, byte b);
void wait_vbl (void);
void init_video (void);
void restore_video (void);
void clear_buffer (void);
void clear(byte color);
word get_x(void);
word get_y(void);
void set_80x25(void);

#endif