#ifndef CLASS_VECTOR_H
#define CLASS_VECTOR_H

#include "vector3.h"

class vector_c : public vector3_c
{
   private:
      vector3_c Origine;
      vector3_c Destination;
      // Self   Destination-Origine;

   public:
		vector_c (void);
      vector_c(const vector3_c& origine);
      vector_c(const vector3_c& origine, const vector3_c& destination);

      vector_c& operator= (const vector_c& v);
      vector_c operator+ (const vector_c& v);

      void origine (const vector3_c& new_origine);
      void destination (const vector3_c& new_destination);
      void vector (const vector3_c& new_vector);

      void origine (vector_t x, vector_t y, vector_t z);
      void destination (vector_t x, vector_t y, vector_t z);
      void vector (vector_t x, vector_t y, vector_t z);

      vector3_c& origine (void);
      vector3_c& destination (void);
      vector3_c& vector (void);
};

#endif