#include "debug.h"

#include "camera.h"

// simplification dist = z

#define DEFAULT_EYE_DISTANCE 100

camera_c::
camera_c(void)
{
   origine(vector3_c(0,0,200));
   destination(vector3_c(0,0,0));
   EyeDistance = DEFAULT_EYE_DISTANCE;
}

camera_c::
camera_c (vector3_c& v)
{
   origine(v);
   destination(vector3_c(0,0,0));
}

camera_c::
camera_c (vector_t x, vector_t y, vector_t z)
{
   origine(vector3_c(x,y,z));
   destination(vector3_c(0,0,0));
}

void camera_c::
origine (const vector3_c& new_origine)
{
   Origine = new_origine;
   // Translation must be updated
}

void camera_c::
destination (const vector3_c& new_dest)
{
   Destination = new_dest;
   // Translation must be updated
}

vector3_c& camera_c::
origine (void)
{
   return Origine;
}

vector3_c& camera_c::
destination (void)
{
	return Destination;
}


vector_t camera_c::
distance (void)
{
   // It must be false in the theorie but for rendering it is ok
   return origine()[VZ]+EyeDistance;
}