#ifndef CLASS_LIGHT_H
#define CLASS_LIGHT_H

#include "coord.h"

class object_c;
class coord_c;

class light_c
{
    public:
      intensity_c  DiffuseIntensity;
      intensity_c  AmbientIntensity;
      intensity_c  SpecularIntensity;

      coord_c  Origine;
      rgb_c    Color;
      light_c (void);
};

rgb_c& phong_color (light_c& light, vector3_c origine, vector3_c normale, material_c& material);

#endif