#ifndef VIDEO_H
#define VIDEO_H

#include "base.h"

#include "vesa.h"

#define SCREEN_X  640
#define SCREEN_Y  480
#define BPP       24  // 16

#define SCREEN_MID_X (SCREEN_X/2)
#define SCREEN_MID_Y (SCREEN_Y/2)

void video_init (void);
void video_restore(void);
void video_80x25(void);

word video_get_x(void);
word video_get_y(void);
word video_mid_x(void);
word video_mid_y(void);

void video_wait_vbl (void);
void video_clear (void);
void video_clear (ubyte color);

void video_plot(float x,float y,ubyte r,ubyte g,ubyte b);

#endif