#include <dos.h>
#include <conio.h>

#include "debug.h"

#include "screen.h"


#ifdef __TURBOC__
#  include <dos.h>
   char far* Memory = (char far*)MK_FP(0xA000,0x0000);
#else
   char* Memory = (char*)0xA0000;
#endif

char* Buffer= Memory;

void plot (float x, float y, float r, float g, float b)
{
   debug_error(x>=SCREEN_X || x<0 || y>=SCREEN_Y || y<0)

   Buffer[((sword)(y))*SCREEN_X+(sword)x] = 2*64+(r+g+b)*63/3;
}

void plot256 (float x, float y, byte color)
{
   debug_error(x>=SCREEN_X || x<0 || y>=SCREEN_Y || y<0)

   Buffer[((sword)(y))*SCREEN_X+(sword)x] = color;
}

void set_color(byte index, byte r, byte g, byte b)
{
   outp(0x03c8, (char) index);
   outp(0x03c9, (char) r);
   outp(0x03c9, (char) g);
   outp(0x03c9, (char) b);
}

void wait_vbl (void)
{
   while ( (inp (0x3DA) & 8) == 8 );
   while ( (inp (0x3DA) & 8) == 0 );
}

void init_video (void)
{
   union REGS  r;
   int i;

   r.rword.ax = 0x13;
	int386(0x10,&r,&r);

   for(i=0;i<64;i++)
   {
      set_color(0*64+i,i,0,0);
      set_color(1*64+i,0,i,0);
      set_color(2*64+i,0,0,i);
      set_color(3*64+i,0,i,i);
   }
      set_color(255,63,63,63);
}

void restore_video (void)
{
   union REGS  r;

   r.rword.ax = 0x03;
	int386(0x10,&r,&r);
}

void clear (byte color)
{
   memset(Buffer,color,SCREEN_X*SCREEN_Y);
}

word get_x (void)
{
   return SCREEN_X;
}


word get_y (void)
{
   return SCREEN_Y;
}

void set_80x25(void)
{
    union REGS r;

   r.x.eax = 0x0003;
   int386(0x10, &r, &r);
}