#include <stdio.h>

#include "base.h"
#include "matrix.h"

void main (void)
{
   matrix_c M1(4,4);
   matrix_c M2(4,4);
   matrix_c M3(4,4);

	printf("M1\n");
	M1.set(0,0,0.0);
	M1.set(1,0,1.0);
	M1.set(2,0,2.0);
	M1.set(3,0,3.0);
	M1.set(0,1,4.0);
	M1.set(1,1,5.0);
	M1.set(2,1,6.0);
	M1.set(3,1,7.0);
	M1.set(0,2,8.0);
	M1.set(1,2,9.0);
	M1.set(2,2,10.0);
	M1.set(3,2,11.0);
	M1.set(0,3,12.0);
	M1.set(1,3,13.0);
	M1.set(2,3,14.0);
	M1.set(3,3,15.0);
	M1.print();

   printf("M2 I\n");
   M2.I();
   M2.print();

   printf("M2+=M2\n");
   M2+=M2;
   M2.print();

   printf("M3=M1*M2\n");
   printf("M3=M1\n");
   M3=M1*M2;
   M3.print();

   printf("M3*=M2\n");
   M3*=M2;
   M3.print();

	printf("M1 T\n");
	M1.T();
	M1.print();

   M1.set(1,0,2);
   M1.set(2,0,3);
   M1.set(3,0,4);
   M1.set(0,1,5);
   M1.set(2,1,6);
   M1.set(3,1,7);
   M1.set(0,2,8);
   M1.set(1,2,9);
   M1.set(3,2,10);
   M1.set(0,3,11);
   M1.set(1,3,12);
   M1.set(2,3,13);

   printf("M2 I\n");
	M2.I();
	M2.print();

	printf("M3=M2+M1\n");
	M3=M1+M2;
	M3.print();

	printf("M3=M3+M1\n");
	M3=M3+M1;
	M3.print();

	printf("M3=M3-M1\n");
	M3=M3-M1;
	M3.print();
	printf("M3(1,1) = %ld\n",M3(1,1));

	if(M1 == M2)
		printf("== Juste M1 == M2\n");
	else
		printf("== Faux M1 != M2\n");

	if(M1 != M2)
		printf("!= Juste M1 != M2\n");
	else
		printf("!= Faux M1 == M2\n");

   matrix_c M4 = M1;
	M4.print();
}