#include <stdio.h>

#include "base.h"
#include "matrix.h"
#include "point.h"
#include "vector.h"

void main (void)
{
   float scalar;

   point_c P1(0,0,0);
   point_c P2(1,1,0);
   point_c P3(0,1,1);

   vector_c V1(P1,P2);
   vector_c V2(P1,P3);
   vector_c V3;

   puts("\nV1\n");
   V1.print();
   puts("\nV2\n");
   V2.print();
   puts("\nV3\n");
   V3 = V1.normal(V2);
   scalar = V1.scalar(V2);
   V3.print();
   puts("\nScalar\n");
   printf("%f\n",scalar);

   getchar();
}